* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

:root {
    --headings-color: rgb(39, 241, 241);
    --second-heading-color: rgb(0, 234, 255);
}

/* Body */
body {
    background-color: #0a0115;
    color: #F5F5F5;
    padding-top: 10rem;
}

/* Container */
.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 1rem;
}

.flex {
    display: flex;
    align-items: center;
}

/* Navbar */
.nav-main {
    position: fixed;
    top: 0;
    width: 100%;
    height: 4rem;
    background-color: #0a0115;
    z-index: 1000;
}

.nav-container {
    justify-content: flex-end;
}

.nav-links-container {
    list-style: none;
    display: flex;
    gap: 2.5rem;
}

.hover-links {
    text-decoration: none;
    color: white;
    font-size: 1.4rem;
    transition: 0.2s ease-in-out;
}

.hover-links:hover {
    opacity: 0.7;
}

/* Home Section */
.home {
    text-align: center;
    padding: 10rem 0 5rem 0;
}

.home h1 {
    font-size: 4rem;
    font-weight: 800;
    color: var(--headings-color);
    margin-bottom: 5rem;
}

.home h3 {
    font-size: 1.5rem;
    font-weight: 500;
    color: var(--second-heading-color);
    margin-bottom: 0.5rem;
}

.home h4 {
    font-size: 1.2rem;
    font-weight: 300;
}

/* About Section */
.about {
    padding: 10rem 0;
    text-align: center;
}

.about h2 {
    font-size: 3rem;
    color: var(--second-heading-color);
    margin-bottom: 3rem;
}


.container-about {
    flex-wrap: wrap;
    gap: 1rem;
    width: 100%;
    height: auto;
}

.image-div {
    flex: 0 0 auto;
    text-align: start;
    padding-right: 3rem;
}

.image-div img {
    width: 18rem;
    height: 18rem;
    border-radius: 50%;
    object-fit: cover;
}



.content-div {
    flex: 1;
    min-width: 250px;
    font-size: 1.3rem;
    font-weight: 400;
    line-height: 1.8rem;
    text-align: left;
}


/* skills */
.skills {
    padding: 4rem 0;
    text-align: center;
}

.skills h2 {
    font-size: 3rem;
    color: var(--headings-color);
    margin-bottom: 3rem;
}

.container-skills {
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: space-evenly;

}

.skill-box {
    height: 7rem;
    min-width: 23.5%;
    border-radius: 1rem;
    background-color: #1b0834;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 550;
    flex-direction: column;
    gap: 1rem;
    transition: transform 0.5s ease;

}

.skill-box:hover {
    transform: translateY(-10px);
    cursor: pointer;
}

.liner {
    width: 80%;
    height: 0.5rem;
    border-radius: 1rem;
    background: linear-gradient(45deg, white, lightblue, rgb(70, 141, 164), blue, darkblue)
}

/* projects */

.projects {
    padding: 4rem 0;
    text-align: center;
}

.projects h2 {
    font-size: 3rem;
    color: var(--headings-color);
    margin-bottom: 3rem;
}

.container-projects {
    flex-wrap: wrap;
    justify-content: space-evenly;
 

}

.project-box {
    height: 25rem;
    width: 27%;
    background-color: #1b0834;
    border-radius: 1rem;
    flex-direction: column;
    padding: 2rem;
    text-align: start;
    overflow: hidden;
    transition: transform 0.5s ease-in-out;
    margin-bottom: 2rem;
}

.project-box:hover {
    transform: translateY(-20px);
}

.projects h3 {
    font-size: 1.5rem;
    color: var(--headings-color);
    margin-bottom: 1rem;

}

.project-box-button a {
    margin-top: 1rem;
    height: 2.5rem;
    width: 6rem;
    background-color: aquamarine;
    cursor: pointer;
    justify-content: center;
    outline: none;
    border-radius: 0.7rem;
    font-size: 1rem;
    color: black;
    font-weight: 500;
    text-decoration: none;
    transition: 0.3s ease-in-out;

}


.project-box-button :hover {
    background-color: aqua;
    transform: translateY(-5px);

}

/* contact section */
.contact {
    padding: 4rem 0;
    text-align: center;
}

.contact h2 {
    font-size: 3rem;
    color: var(--headings-color);
    margin-bottom: 2rem;
}

.contact p {
    font-size: 1.3rem;
}

.logos-contact {
    justify-content: center;
    gap: 1rem;
    margin-top: 2rem;
}

.logos {
    height: 3rem;
    width: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    transition: transform 0.5s ease;
}

.logos:hover {
    transform: translateY(-5px);
    cursor: pointer;

}

.logos i {
    color: #fff;
    font-size: 1.5rem;
}

.linkedin {
    background-color: #1877F2;
}

.mail {
    background: white;
}

.mail i {
    color: red !important;
}

.x {
    background-color: white;
}

.x i {
    color: black;
}

/* footer */

.footer {
    text-align: center;

}

.div-img img {

    height: 100%;
    width: 100%;
    border-radius: 50%;
    object-fit: cover;
    overflow: hidden;
    background-color: red;


}